<template>
  <div>
    <!-- Visão professor -->
    <span v-if="userRole == 'teacher'">
      <v-row class="my-4 mx-8 pb-6" align="center" no-gutters>
        <v-col cols="12" class="pb-3">
          <b><v-icon class="pb-1 pr-2">mdi-file-clock-outline</v-icon>Próximas provas:</b>
        </v-col>
        <v-col cols="12" class="my-1 pl-2 contentTitleAlert" justify="center">
          - Você tem uma <b>prova agendada</b> para o dia <b>23/07/2021 às 15h</b> / Turma: 00120B
          <v-btn class="py-0 ml-3" color="clear" outlined elevation="0" x-small>Ver Detalhes</v-btn>
        </v-col>
        <v-col cols="12" class="my-1 pl-2 contentTitleAlert" justify="center">
          - Você tem uma <b>prova agendada</b> para o dia <b>28/07/2021 às 14h</b> / Turma: 00230A
          <v-btn class="py-0 ml-3" color="clear" outlined elevation="0" x-small>Ver Detalhes</v-btn>
        </v-col>
      </v-row>
      <v-row class="my-0 mx-8 pb-8" align="center" no-gutters>
        <v-col cols="12" class="pb-3">
          <b><v-icon class="pb-1 pr-2">mdi-pencil</v-icon>Correções pendentes:</b>
        </v-col>
        <v-col cols="12" class="my-1 pl-2 contentTitleAlert" justify="center">
          - Você tem <b>provas</b> aplicadas no dia <b>03/07/2021 às 15h</b> com correções pendentes
          / Turma: 00120B
          <v-btn class="py-0 ml-3" color="clear" outlined elevation="0" x-small>Ver Detalhes</v-btn>
        </v-col>
      </v-row>
    </span>
    <!-- Fim visão professor -->
    <!-- Visão aluno -->
    <span v-if="userRole == 'student'">
      <v-row class="my-4 mx-8 pb-6" align="center" no-gutters>
        <v-col cols="12" class="pb-3">
          <b><v-icon class="pb-1 pr-2">mdi-file-clock-outline</v-icon>Próximas provas:</b>
        </v-col>
        <v-col cols="12" class="my-1 pl-2 contentTitleAlert" justify="center">
          - Você tem uma <b>prova agendada</b> para <b>hoje às 15h</b> / Turma: 00120B
          <v-btn class="py-0 ml-3" color="test" elevation="0" x-small>Ir para prova</v-btn>
        </v-col>
        <v-col cols="12" class="my-1 pl-2 contentTitleAlert" justify="center">
          - Você tem uma <b>prova agendada</b> para o dia <b>28/07/2021 às 14h</b> / Turma: 00230A
          <v-btn class="py-0 ml-3" color="clear" outlined elevation="0" x-small>Ver Detalhes</v-btn>
        </v-col>
      </v-row>
    </span>
    <!-- Fim visão aluno -->
    <!-- Visão Monitor -->
    <span v-if="userRole == 'monitor'">
      <v-row class="my-4 mx-8 pb-6" align="center" no-gutters>
        <v-col cols="12" class="pb-3">
          <b
            ><v-icon class="pb-1 pr-2">mdi-file-clock-outline</v-icon>Próximas provas para
            monitorar:</b
          >
        </v-col>
        <v-col cols="12" class="my-1 pl-2 contentTitleAlert" justify="center">
          - Você tem uma <b>prova</b> para monitorar, <b>hoje às 15h</b> / Turma: 00120B
          <v-btn class="py-0 ml-3" color="test" elevation="0" x-small>Ir para prova</v-btn>
        </v-col>
        <v-col cols="12" class="my-1 pl-2 contentTitleAlert" justify="center">
          - Você tem uma <b>prova agendada</b> para monitorar no dia <b>28/07/2021 às 14h</b> /
          Turma: 00230A
          <v-btn class="py-0 ml-3" color="clear" outlined elevation="0" x-small>Ver Detalhes</v-btn>
        </v-col>
      </v-row>
    </span>
    <!-- Fim visão monitor -->
    <!-- Visão Admin -->
    <span v-if="userRole == 'admin'">
      <v-card-text>
        <section class="noMsg secondary--text">
          <v-icon class="pr-2 pb-2" color="secondary" x-large>mdi-alert-outline</v-icon>
          <p>Ops, você ainda <b>não possui nenhum aviso de avaliação</b> nessa entidade.</p>
        </section>
      </v-card-text>
    </span>
    <!-- Fim visão Admin -->
  </div>
</template>

<script>
export default {
  name: 'Main',
  props: {
    userRole: { type: String, default: '' },
  },
  data: () => ({
    notifications: [],
  }),
}
</script>

<style>
.contentTitleAlert {
  font-size: 0.95rem;
}
.contentTitleAlert > b {
  color: #2a0845;
}

.noMsg {
  font-size: 1rem;
  min-height: 100px;
  text-align: center;
}
.noMsg > b {
  padding-left: 4px;
  padding-right: 4px;
}
</style>
